manifest:
    name: app1
    labels:
        sensitive: "true"
    annotations:
        contact: bob@example.com jane@example.com
    env:
        VAR1: value1
        VAR2: value2
    routes:
        - route: route.example.com
        - route: another-route.example.com
          protocol: http2
    services:
        - name: my-service1
        - name: my-service2
        - name: my-service-with-arbitrary-params
          parameters:
            key1: value1
            key2: value2
          bindingName: my-binding
    processes:
        - type: web
          command: start-web.sh
          disk: 512M
          memory: 500M
          healthCheck:
            endpoint: /healthcheck
            invocationTimeout: 10
            interval: 30
            type: http
            timeout: 10
          readinessCheck:
            endpoint: ""
            invocationTimeout: 0
            interval: 0
            type: process
          instances: 3
          logRateLimit: 1KB
        - type: worker
          command: start-worker.sh
          disk: 1G
          memory: 256M
          healthCheck:
            endpoint: ""
            invocationTimeout: 0
            interval: 0
            type: process
            timeout: 15
          readinessCheck:
            endpoint: ""
            invocationTimeout: 0
            interval: 0
            type: process
          instances: 2
          logRateLimit: 1KB
    sidecars:
        - name: authenticator
          processType:
            - web
            - worker
          command: bundle exec run-authenticator
          memory: 800
        - name: upcaser
          processType:
            - worker
          command: ./tr-server
          memory: 2
    stack: cflinuxfs4
    buildPacks:
        - ruby_buildpack
        - java_buildpack
